#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 38. LXDE Applications

- Prev

  LXTask-0.1.10

- Next

  LXTerminal-0.4.0

- Up
- Home

# Vte-0.28.2

## Introduction to Vte

Vte is a library (libvte) implementing a terminal emulator widget for GTK+ 2, and a minimal demonstration application (vte) that uses libvte.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/vte/0.28/vte-0.28.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/vte/0.28/vte-0.28.2.tar.xz

- Download MD5 sum: 497f26e457308649e6ece32b3bb142ff

- Download size: 940 KB

- Estimated disk space required: 33 MB

- Estimated build time: 0.5 SBU

### Vte Dependencies

#### Required

GTK+-2.24.33

#### Optional

gobject-introspection-1.70.0, GTK-Doc-1.33.2 and PyGTK-2.24.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/vte2

## Installation of Vte

Install Vte by running the following commands:

    ./configure --prefix=/usr \
                --libexecdir=/usr/lib/vte \
                --disable-static  &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--libexecdir=/usr/lib/vte` : both this package and VTE-0.66.2 install files of the same name. This switch ensures that they do not overwrite each other if both are installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: vte
Installed Library: libvte.so
Installed Directories: /usr/include/vte-0.0, /usr/lib/vte, /usr/share/gtk-doc/html/vte-0.0 and /usr/share/vte

### Short Descriptions

vte | is a simple terminal emulator
`libvte.so` | contains the Vte API functions

Last updated on

- Prev

  LXTask-0.1.10

- Next

  LXTerminal-0.4.0

- Up
- Home